## org.h2.store
Interface RecordReader

All Known Implementing Classes:
  BtreeIndex, TableData

    public interface RecordReader

A record reader is able to create a `Record` from a `DataPage`.

Method Summary
`Record` `read(Session session, DataPage s)` Read a record from the data page.

Method Detail

### read

    Record read(Session session,
                DataPage s)
                throws java.sql.SQLException

  Read a record from the data page.

  Parameters:
    `session` - the session
    `s` - the data page
  Returns:
    the record
  Throws:
    `java.sql.SQLException`